Subject: Re: Problem installing Tcl Perl module
From: Per Magne Knutsen <[email-masked]>
To: "Gerrit P. Haase @ cygwin" <[email-masked]>
Date: Sun, 27 Jan 2002 17:03:34 +0200

>Please, I get just this info from CPAN.pm:
>Module          Tcl             (Contact Author Malcolm Beattie <[email-masked]>)
>Module          Tcl::Tk         (Contact Author Malcolm Beattie <[email-masked]>)
>
>Where can I fetch a copy to try a build?

You can download the modules from http://search.cpan.org, or use the CPAN module:

%perl -MCPAN -e "shell"

then

install Tcl

at CPAN.pm prompt

I recommend, however, to install manually (configure, make, make install). CPAN.pm complains a lot 
when installing new modules, especially if the new modules requires some others to be built before it. 
Don't know if this is cygwin specific, but I've never experience as much problems on *nix machines. 
Building all new modules, including the required ones, manually worked best for me.

I did finally get Tcl and Tcl::Tk working. Remember to install tcl tk libraries first. I had some hassle getting 
everything to work, mostly owed to problems with CPAN.pm. Unfortunately, I did keep the notes of 
exactly what I did.

I needed Tcl::Tk to get SIXPACK running (a reference manager aka Endnote). Works excellent!

Per Magne Knutsen

Department of Neurobiology
Weizmann Institute of Science
Rehovot, Israel

Phone: +972 (0)8 934 2604
Fax: +972 (0)8 934 4140
Cellular: +972 (0)55 675 289

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/